Meteor 1.5.2.2 - “Only one default export allowed per module” error


#1

APP.JSX

Can anyone please suggest me what I am supposed to do:

import React, { Component , PropTypes } from ‘react’;
import MuiThemeProvider from ‘material-ui/styles/MuiThemeProvider’;
import RaisedButton from ‘material-ui/RaisedButton’;
import AppBar from ‘material-ui/AppBar’;
import { List } from ‘material-ui/List’;
import Divider from ‘material-ui/Divider’;
import {createContainer} from ‘meteor/react-meteor-data’;
import { Link } from ‘react-router’;

import { Employees } from ‘…/api/employees’;
import PerfoState from ‘./Perforstate’;
import EmployeeList from ‘./EmployeeList’;
import Employee from ‘./Emp’;
import AddNewEmp from ‘./AddNewEmp’;
import NoFile from ‘./NoFile’;

export default class App extends Component{
constructor(props){
super(props);
this.state={employees:[]};
}
//Function HEre

renderEmployee()
{
return this.props.employees.map(
(employee)=>
(

));
}

render(){
return(






Emp. List




{this.renderEmployee()}


                <div className="col s12 m5"> <PerfoState /></div>
                <div className="col s12"> <AddNewEmp /></div>
          </div>
          </div>
        </MuiThemeProvider>
    )
  }

}

App.propTypes={
//employees: PropTypes.array.isRequired,
employees: React.PropTypes.array.isRequired,
};

export default createContainer(()=>
{
Meteor.subscribe(‘employees’);
return {
employees : Employees.find({},{sort : {myname : 1} } ).fetch(),
};

},App);

  1. Either shift back from 1.5.x.x to 1.4.x.x. 2) If so, then suggest me the stable version

#2

Simple: As the error says, I can see two “export default” statements in the same file. You can’t do that.